%define name kkeyled
%define version 0.8.11
%define release %mkrel 5
%define __libtoolize /bin/true
%define __cputoolize /bin/true



Name: %{name}
Version: %{version}
Release: %{release}
Summary:   Displays the status of the keyboard leds
License: GPL
Url:       http://www.truesoft.ch/dieter/index.html
Group:     System/Configuration/Hardware
Source:    http://www.truesoft.ch/dieter/kkeyled/software/%{name}-%{version}.tar.bz2
Source10:  %name-16.png
Source11:  %name-32.png
Source12:  %name-48.png
BuildRoot: %{_tmppath}/%{name}-%{version}

BuildRequires: kdelibs-devel

%description
A little program which helps you 
to watch your display leds for the numlock
scrollock and the capslock keys

%prep
%setup -n %{name}

%build
make -f admin/Makefile.common cvs

%configure --with-xinerama --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

%{makeinstall_std}
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=kkeyled|Name=Kkeyled|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "System/Configuration/Hardware" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT/


%files 
%defattr(-,root,root)
%attr(0755,root,root) %_bindir/%{name}
%_datadir/applnk/Utilities/%{name}.desktop
%_datadir/apps/%{name}/kkeyledui.rc
%_datadir/apps/%{name}/pic/theme/*
%_datadir/config/%{name}rc
%_docdir/HTML/*/%{name}/*
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/locolor/*/apps/%{name}.png
%_datadir/locale/*/LC_MESSAGES/%{name}.mo
%_menudir/%{name}
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png



%changelog
* Tue Jan 03 2006 Anssi Hannula <anssi@mandriva.org> 0.8.11-5mdk
- fix x86_64 build

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.11-4mdk
- Fix BuildRequires

* Mon May 23 2005 Sebastien Savarin <plouf@mandriva.org> 0.8.11-3mdk
- Rebuild for new gcc fix build on amd64

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.8.11-2mdk
- %mkrel
- Fix Description

* Sat Apr 02 2005 Sebastien Savarin <plouf@mandrake.org> 0.8.11-1mdk
- First Mandrake release
